QGIS Application - Bug report #20827
QGIS3.4.1 crashes after short period inactivity
2018-12-17 10:52 PM - luis de la rua

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.1 Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 28646
Description

It crashes when the computer turns into sleep mode. Every time the computer goes to sleep | get the QGIS crashed screen.
Thanks

Here below the report

User Feedback

It crashes when the computer turns into sleep mode. Every time the computer goes to sleep | get the QGIS crashed screen.

Thanks

Report Details

Crash ID: 46bdfc53c9e65ba01bf6e65f60a8fdcad5a2dd77
Stack Trace

QgsWinNative::initializeMainWindow :
QAbstractEventDispatcher::filterNativeEvent :
CallWindowProcW :

CallWindowProcW :

GetMenuState :
KiUserCallbackDispatcher :
NtUserPeekMessage :

PeekMessageW :

PeekMessageW :
QEventDispatcherWin32::processEvents :
gt_plugin_query_metadata :
QEventLoop::exec :
QCoreApplication::exec :

main :

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851¢597
Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info
CPU Type: x86_64
Kernel Type: winnt
Kernel Version: 10.0.17134

Related issues:
Duplicates QGIS Application - Bug report # 20386: Program crashes in idle phase

Closed

2018-11-06

History

#1 - 2018-12-17 11:46 PM - Nyall Dawson
- Resolution set to fixed/implemented

- Status changed from Open to Closed

Upgrade to 3.4.2 - this is fixed.

#2 - 2019-01-02 01:13 PM - Jiirgen Fischer
- Duplicates Bug report #20386: Program crashes in idle phase added
